X2Go Bug report logs - #296
X2Go Mac Client crashes on launch.

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Jeff C <wolvy@tigerfang.com>

Date: Sun, 1 Sep 2013 02:33:02 UTC

Severity: normal

Found in version 4.0.1.0

Fixed in version 4.0.1.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#296; Package x2goclient_latest_macosx. (Sun, 01 Sep 2013 02:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeff C <wolvy@tigerfang.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>.

Your message had a Version: pseudo-header with an invalid package version:

???

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sun, 01 Sep 2013 02:33:02 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Jeff C <wolvy@tigerfang.com>
To: submit@bugs.x2go.org
Subject: X2Go Mac Client crashes on launch.
Date: Sat, 31 Aug 2013 21:12:29 -0500
Package: X2GoClient_latest_macosx
Version: ???

Launching the x2go client results in an instant crash.

Process:         launchd [297]
Path:            /Applications/x2goclient.app/Contents/MacOS/x2goclient
Identifier:      launchd
Version:         ??? (???)
Code Type:       X86-64 (Native)
Parent Process:  launchd [134]

Date/Time:       2013-08-31 21:00:31.516 -0500
OS Version:      Mac OS X 10.6.8 (10K549)
Report Version:  6

Interval Since Last Report:          99223 sec
Crashes Since Last Report:           17
Per-App Crashes Since Last Report:   12
Anonymous UUID:                      FCC8E786-E007-4E83-8A1F-8AE3F7147E2E

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0xfffffffffffffff8
Crashed Thread:  Unknown


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#296; Package x2goclient_latest_macosx. (Thu, 03 Oct 2013 13:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ista Zahn <istazahn@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 03 Oct 2013 13:18:02 GMT) Full text and rfc822 format available.

Message #10 received at 296@bugs.x2go.org (full text, mbox):

From: Ista Zahn <istazahn@gmail.com>
To: 296@bugs.x2go.org
Subject: Just update the link?
Date: Thu, 3 Oct 2013 09:14:18 -0400
The osx client at
http://code.x2go.org/releases/binary-macosx/x2goclient/releases/4.0.1.1/
works, I think the link to X2GoClient_latest_macosx.dmg just needs to
be updated.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#296; Package x2goclient_latest_macosx. (Fri, 04 Oct 2013 08:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 04 Oct 2013 08:03:02 GMT) Full text and rfc822 format available.

Message #15 received at 296@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Ista Zahn <istazahn@gmail.com>, 296@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#296: Just update the link?
Date: Fri, 04 Oct 2013 08:01:33 +0000
[Message part 1 (text/plain, inline)]
reassign #296 x2goclient
found #296 4.0.1.0
fixed #296 4.0.1.1
close #296
thanks

Hi Ista,

On  Do 03 Okt 2013 15:14:18 CEST, Ista Zahn wrote:

> The osx client at
> http://code.x2go.org/releases/binary-macosx/x2goclient/releases/4.0.1.1/
> works, I think the link to X2GoClient_latest_macosx.dmg just needs to
> be updated.

Done. Thanks for the reminder. Good that the latest version/build of  
X2Go works for your Mac OS version.

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-keys, inline)]
[Message part 3 (application/pgp-signature, inline)]

Bug reassigned from package 'x2goclient_latest_macosx' to 'x2goclient'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 04 Oct 2013 08:03:02 GMT) Full text and rfc822 format available.

Marked as found in versions 4.0.1.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 04 Oct 2013 08:03:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 04 Oct 2013 08:03:02 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 04 Oct 2013 08:03:02 GMT) Full text and rfc822 format available.

Notification sent to Jeff C <wolvy@tigerfang.com>:
Bug acknowledged by developer. (Fri, 04 Oct 2013 08:03:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 02 Nov 2013 06:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Apr 19 05:03:53 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.